%global srcname sphinx-bootstrap-theme
%global jquery_version 1.12.4
%global bootstrap_version 3.4.1

Summary:        A sphinx theme that integrates the Bootstrap framework
Name:           python-%{srcname}
Version:        0.8.1
Release:        6%{?dist}
License:        MIT and ASL 2.0
URL:            https://github.com/ryan-roemer/sphinx-bootstrap-theme
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  web-assets-devel
BuildArch:      noarch

%description
This sphinx theme integrates the Booststrap CSS / Javascript framework with various layout options,
hierarchical menu navigation, and mobile-friendly responsive design.  It is configurable, extensible
and can use any number of different Bootswatch CSS themes.

%package -n python3-%{srcname}
Summary:        A sphinx theme that integrates the Bootstrap framework
BuildRequires:  python3-devel python3-setuptools
Requires:       web-assets-filesystem
Requires:       python3-sphinx
Provides:       bundled(glyphicons-halflings-fonts)
Provides:       bundled(jquery) = %{jquery_version}

%description -n python3-%{srcname}
This sphinx theme integrates the Booststrap CSS / Javascript framework with various layout options,
hierarchical menu navigation, and mobile-friendly responsive design.  It is configurable, extensible
and can use any number of different Bootswatch CSS themes.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

for d in %{python3_sitelib}; do
  %{__rm} %{buildroot}${d}/sphinx_bootstrap_theme/bootstrap/static/bootstrap-%{bootstrap_version}/fonts/glyphicons-halflings-regular.ttf
  %{__ln_s} -f %{_datadir}/fonts/glyphicons-halflings/glyphicons-halflings-regular.ttf \
    %{buildroot}${d}/sphinx_bootstrap_theme/bootstrap/static/bootstrap-%{bootstrap_version}/fonts/glyphicons-halflings-regular.ttf
done

%files -n python3-%{srcname}
%license LICENSE.txt
%doc *.rst
%{python3_sitelib}/sphinx_bootstrap_theme
%{python3_sitelib}/sphinx_bootstrap_theme-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.8.1-6
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Shuo Wang <abushwang@tencent.com> - 0.8.1-1
- initial build
